| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
traits< T > Struct Template Reference

`#include <type_traits.hpp>`

## Public Types

using | ref_type = typename ::std::shared_ptr<T>
using | weak_ref_type = typename ::std::weak_ptr<T>

## Static Public Member Functions

template<typename _Tp, typename = typename std::enable_if<std::is_base_of<T, _Tp>::value>::type>
static std::shared_ptr< _Tp > | narrow (ref_type obj)
static FASTDDS_EXPORTED_API std::shared_ptr< T > | make_shared ()

## Member Typedef Documentation

## ◆ ref_type

template<typename T>

using ref_type = typename ::std::shared_ptr<T>

## ◆ weak_ref_type

template<typename T>

using weak_ref_type = typename ::std::weak_ptr<T>

## Member Function Documentation

## ◆ make_shared()

template<typename T>

FASTDDS_EXPORTED_API std::shared_ptr< T > make_shared | ( |  | ) |

static

## ◆ narrow()

template<typename T>
template<typename _Tp, typename = typename std::enable_if<std::is_base_of<T, _Tp>::value>::type>

std::shared_ptr< _Tp > narrow | ( | ref_type | obj | ) |

inline static

The documentation for this struct was generated from the following file:

- include/fastdds/dds/xtypes/dynamic_types/detail/type_traits.hpp